// Copyright (c) 2023 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#include "UIPaddingContainer.hpp"

using namespace Dawn;

void UIPaddingContainer::updateAlignment(
  const glm::vec2 parentPosition,
  const glm::vec2 parentSize,
  const float_t canvasScale
) {
  glm::vec2 childPosition = parentPosition + glm::vec2(padding.x, padding.y);
  glm::vec2 childSize = parentSize - glm::vec2(padding.x + padding.z, padding.y + padding.w);

  auto children = getChildren();
  for(auto &child : children) {
    child->updateAlignment(childPosition, childSize, canvasScale);
  }
}